Groovy Documentation

## org.codehaus.groovy.grails.web.taglib
[Java] Class GroovyElseTag

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.GroovySyntaxTag
          org.codehaus.groovy.grails.web.taglib.GroovyElseTag

    public class GroovyElseTag
    extends GroovySyntaxTag

Authors:
  Graeme Rocher

Field Summary
`static java.lang.String` | `TAG_NAME`

Fields inherited from class GroovySyntaxTag
ATTRIBUTES_STATUS, ATTRIBUTE_IN, ATTRIBUTE_VAR, attributes, out, parser, tagContext

Method Summary
`void` | `doEndTag()`
`void` | `doStartTag()`
`java.lang.String` | `getName()`
`boolean` | `isAllowPrecedingContent()`
`boolean` | `isKeepPrecedingWhiteSpace()`

Methods inherited from class GroovySyntaxTag
calculateExpression, doEachMethod, init, isAllowPrecedingContent, isKeepPrecedingWhiteSpace, setAttribute, setAttributes, setWriter

Field Detail

### TAG_NAME

    public static final java.lang.String TAG_NAME

Method Detail

### doEndTag

    public void doEndTag()

### doStartTag

    public void doStartTag()

### getName

    public java.lang.String getName()

### isAllowPrecedingContent

    @Override
    public boolean isAllowPrecedingContent()

### isKeepPrecedingWhiteSpace

    @Override
    public boolean isKeepPrecedingWhiteSpace()

Groovy Documentation